package cn.ele6.catalyzer.ruoyi.enhance;

import cn.ele6.catalyzer.ruoyi.custom.RuoYiResponse;
import org.springframework.beans.BeanUtils;

import java.io.Serializable;

/**
 * 同名类增强改造。
 */
public class TableDataInfo extends com.ruoyi.common.core.page.TableDataInfo implements Serializable, RuoYiResponse {


    /**
     * copy obj and convert type.
     *
     * @param o
     * @return
     */
    public static TableDataInfo convert(com.ruoyi.common.core.page.TableDataInfo o) {
        TableDataInfo t = new TableDataInfo();
        BeanUtils.copyProperties(o, t);
        return t;
    }
}
